# -*- mode: rpm-spec; coding: utf-8 -*-
%define version    0.9.4.1
%define release    alt1
%define source_version %version
%define source_name Pyrex
%setup_python_module Pyrex

%add_python_req_skip Pyrex

Summary: A language for writing Python extension modules
Summary(ru_RU.UTF-8): Язык для создания модулей расширения Python
Name: %packagename
Version: %version
Release: %release.1.1.1
Source: %source_name-%source_version.tar
License: Freeware
Group: Development/Python
Prefix: %_prefix
Url: http://www.cosc.canterbury.ac.nz/~greg/python/Pyrex/
BuildPreReq: rpm-build-python >= 0.20-alt1

%description
Pyrex  is  a  language  specially designed for writing Python extension
modules.  It's designed to bridge the gap between the nice, high-level,
easy-to-use world of Python and the messy, low-level world of C.

%description -l ru_RU.UTF-8
Pyrex - это язык, специально предназначенный для написания модулей
расширения Python. Он спроектирован для заполнения пространства между
удобным высокоуровневым и простым в использовании языком Python и
запутанным, неэстетичным и низкоуровневым миром C.

%prep
%setup -q -n %source_name-%source_version

%build
%__python setup.py build

%install
CFLAGS="%optflags" %__python setup.py \
	install --optimize=2 \
		--root=%buildroot \
		--record=INSTALLED_FILES

# fool the ALT building system a little to avoid dependency on 
# python-strict :-)
%__subst 's/^#!.*\/python\([ 	].*\)\?$/#!\/usr\/bin\/env python%__python_version\1/' %buildroot%_bindir/*

# Remove Mac-specific stuff
%__subst '/\/Mac\//d' INSTALLED_FILES
# Remove test file
%__subst '/\/Plex\/test/d' INSTALLED_FILES

%files -f INSTALLED_FILES
%doc README.txt ToDo.txt USAGE.txt CHANGES.txt Doc Demos

%changelog
* Thu Jan 24 2008 Grigory Batalov <bga@altlinux.ru> 0.9.4.1-alt1.1.1.1
- Rebuilt with python-2.5.

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.4.1-alt1.1.1
- Rebuilt using rpm-build-python-0.29-alt4.

* Fri May 19 2006 Anton Farygin <rider@altlinux.ru> 0.9.4.1-alt1.1
- new version

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.9.3-alt2.1
- Rebuilt with python-2.4.

* Fri Jan 21 2005 Alexey Morozov <morozov@altlinux.org> 0.9.3-alt2
- Rebuild against current rpm-build-python (0.20-alt1)
- Fixed python script binding to a version of python used to build the package

* Tue Sep  7 2004 Alexey Morozov <morozov@altlinux.org> 0.9.3-alt1
- Initial build for ALT Linux
